Apply focus to or reset many agent heartbeat policies
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "apply_focus",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sections": "<unknown>",
"signal_categories": "<unknown>"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk"
payload = {
"action": "apply_focus",
"agent_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sections": "<unknown>",
"signal_categories": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'apply_focus',
agent_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sections: '<unknown>',
signal_categories: '<unknown>'
})
};
fetch('https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'apply_focus',
'agent_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'sections' => '<unknown>',
'signal_categories' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk"
payload := strings.NewReader("{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"action": "apply_focus",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"summaries": [
{
"agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "default",
"effective_policy": {
"sections": {
"goals": true,
"standalone_kpis": true,
"standalone_initiatives": true,
"assigned_issues": true,
"project_context": true,
"signals": true,
"attention": true
},
"signal_categories": {
"task": true,
"initiative": true,
"kpi": true,
"project": true
},
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"initiative_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"columns": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
]
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Agents
Apply focus to or reset many agent heartbeat policies
Human sessions only. Every agent must pass the per-agent manageability check; one unmanageable agent rejects the whole request before any write. apply_focus sets sections and signal categories and keeps each agent’s project, initiative, and column selections. reset deletes custom policies so agents inherit the organization default.
POST
/
api
/
orgs
/
{id}
/
heartbeat-policy
/
bulk
Apply focus to or reset many agent heartbeat policies
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "apply_focus",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sections": "<unknown>",
"signal_categories": "<unknown>"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk"
payload = {
"action": "apply_focus",
"agent_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sections": "<unknown>",
"signal_categories": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'apply_focus',
agent_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sections: '<unknown>',
signal_categories: '<unknown>'
})
};
fetch('https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'apply_focus',
'agent_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'sections' => '<unknown>',
'signal_categories' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk"
payload := strings.NewReader("{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://atollhq.com/api/orgs/{id}/heartbeat-policy/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"apply_focus\",\n \"agent_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"sections\": \"<unknown>\",\n \"signal_categories\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"action": "apply_focus",
"agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"summaries": [
{
"agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "default",
"effective_policy": {
"sections": {
"goals": true,
"standalone_kpis": true,
"standalone_initiatives": true,
"assigned_issues": true,
"project_context": true,
"signals": true,
"attention": true
},
"signal_categories": {
"task": true,
"initiative": true,
"kpi": true,
"project": true
},
"project_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"initiative_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"columns": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
]
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json

